Page MenuHomePhabricator

Create dedicated input methods for "string" transclusion parameters
Closed, ResolvedPublic1 Story Points

Event Timeline

Jdforrester-WMF updated the task description. (Show Details)
Jdforrester-WMF raised the priority of this task from to Normal.
Jdforrester-WMF edited a custom field.

Wouldn't this just be TextInputWidget?

Jdforrester-WMF removed Jdforrester-WMF as the assignee of this task.Mar 25 2017, 3:23 AM
Jdforrester-WMF removed a subscriber: AlexMonk-WMF.

Wouldn't this just be TextInputWidget?

Per the spec "string" must allow multi-line values, so it seems more like a textarea to me. For a single-line value, type "line" demands a plain text input field, which would probably map to TextInputWidget indeed.

Krinkle closed this task as Resolved.Mar 27 2017, 11:12 PM
Krinkle claimed this task.

https://gerrit.wikimedia.org/r/#/c/169936/ (rEVED978224f2ec14: Use widgets for wiki-page-name, wiki-user-name, wiki-template-name, boolean…) ensures string gets a TextInputWidget that doesn't disable multiline, whereas line gets multiline=false. Closing this task.

Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptMar 27 2017, 11:12 PM
Jdforrester-WMF changed the point value for this task from 1 to 8.Mar 28 2017, 3:54 PM
Jdforrester-WMF changed the point value for this task from 8 to 1.